/*
 * r32 hexaddr -- read a 32-bit register or memory location
 */

#include <sys/types.h>
#include "types.h"

void
cmd_r32(argbulk)
	char *argbulk;
{
	char *argv[2];
	u_long addr;

	if (parse_args(argbulk, 1, 1, argv, 0) < 0)
		return;
	if (parse_hexarg(argv[0], 8, &addr) < 0) {
		printf("ERROR: argument must be a valid 32-bit hex address\n");
		return;
	}
	if (addr & 3) {
		printf("ERROR: unaligned address\n");
		return;
	}
	printf("%08X\n", *(volatile u32 *)addr);
}
